<template>
  <!-- 盒条件-烟码换货 -->
  <div id="topDiv">
    <van-nav-bar
        :title="$route.meta.name"
        left-text=""
        left-arrow
        @click-left="$router.go(-1)"
        style="background-color: rgba(0, 105, 83, 1)"
    >
      <template #right>
        {{ $store.state.user.name }}
      </template>
    </van-nav-bar>
  </div>

  <div class="centerDiv" id="centerDiv">
    <p class="codetitle">
      {{ this.qrBrand.cgtName}}
    </p>
    <div class="codeitem"  v-for="(item, index) in combinedList">
      <p>
        <span class="oldcode">旧烟码{{ index+1 }}</span>
        <span class="oldcodecon">{{ this.getcode(item.oldCode)  }}</span>
      </p>
      <p>
        <span class="newcode">新烟码{{ index+1 }}</span>
        <span class="newcodecon">{{ this.getcode(item.newCode)  }}</span>
      </p>
    </div>
    <van-dialog v-model:show="show" title="请选择换货模式" @cancel="cancelbtn()" @confirm="confirmbtn" show-cancel-button>
      <van-radio-group v-model="checked" shape="square">
        <van-radio name="1">
          <van-field
              v-model="indRecord"
              label="工工换货"
              placeholder="请填写卷烟厂名称"
              :rules="[ { required: true, message: '请输入卷烟厂名称' } ]"
          />
        </van-radio>
        <van-radio name="2">
          <van-field
              v-model="busRecord"
              label="工商换货"
              placeholder="请填写物流公司名称"
              :rules="[ { required: true, message: '请输入物流公司名称' } ]"
          />
        </van-radio>
<!--        <van-radio name="3">-->
<!--          <van-field-->
<!--              v-model="byIndRecord"-->
<!--              label="出库(工业)"-->
<!--              placeholder="请输入卷烟厂名称"-->
<!--              :rules="[ { required: true, message: '请输入卷烟厂名称' } ]"-->
<!--          />-->
<!--        </van-radio>-->
      </van-radio-group>
    </van-dialog>
  </div>

  <van-row id="scrapButton">
    <van-button :class="relevanceButton ? 'btn_disabled' : 'btn_enable'" :disabled="relevanceButton"
                @click="relevanceSendButton">完成换货
    </van-button>
  </van-row>
</template>

<script>
import {NavBar, CellGroup, Cell, List, Button, Dialog, Sticky, Col, Row, Notify, RadioGroup, Radio,Field} from "vant";
import {barterQrCodeIns, related, relatedBefore} from "@/api/qrcode/relation/qrDiscardCode";
import ScanOverlay from "@/components/overlay/scanOverlay/ScanOverlay";
import {QrCodeUtil} from "@/api/qrcode/device/brand/brand";
import {getQrcodeInsByCode} from "@/api/qrcode/relation/qrcodeIns";
import {getStringByTwo} from "@/utils/transition";
import OpenDataWap from "@/common/nativeJSdk/OperData";
import $store from "@/store/modules/user";

export default {
  name: "cartonBox",
  components: {
    [NavBar.name]: NavBar,
    [CellGroup.name]: CellGroup,
    [Cell.name]: Cell,
    [List.name]: List,
    [Button.name]: Button,
    [Dialog.Component.name]: Dialog.Component,
    [Sticky.name]: Sticky,
    [Col.name]: Col,
    [Row.name]: Row,
    [RadioGroup.name]: RadioGroup,
    [Radio.name]: Radio,
    [Field.name]: Field,
    [Notify.Component.name]: Notify.Component,
  },
  mounted() {
    const _this = this;
    this.initHeight();
  },
  data() {
    return {
      listHeight: '',
      manualAssociationList: {
        parentCode: '',
        code: [],
        errorCode: "",
        type: null,
        barterCode: [],
        recordName: ""
      },
      errorList: [],
      packageBoxNum: {
        strip: null, // 条
        piece: null, // 件
      },
      qrBrand: {
        code: null,//二维码数据
        typeCode: null,
        typeName: null,
        cgtName: null,
        cgtCode: null,
        pkgNum: null,// 盒条关联数之比
        boxNum: null,// 条件关联数之比
        qrBrand: null
      },
      showArr: [],
      forbidden: 0,
      show:true,
      checked:null,
      indRecord:"",
      busRecord:"",
      byIndRecord:"",
    }
  },
  computed: {

    // 判断按钮是否能够点击
    relevanceButton() {
      if (this.forbidden == 1) {
        return true;
      }
      // 获取最后一个元素
      let lastElement = this.manualAssociationList.barterCode[this.manualAssociationList.barterCode.length - 1];
      if (lastElement) {
        return (lastElement.oldCode != null && lastElement.newCode != null) ? false : true
      }
      return true
    },

    // 获取组合列表
    combinedList() {
      let list = [];
      // 确保 barterCode 是一个有效的数组
      if (Array.isArray(this.manualAssociationList.barterCode)) {
        this.manualAssociationList.barterCode.forEach((item, index) => {
          // 添加旧烟码
          list.push({
            oldCode: item.oldCode,
            newCode: item.newCode
          });
          console.log(list,'list');
        });
        
      }
      
      
      return list;
    }

  },
  methods: {
    // 表单确认按钮
    confirmbtn(){
      if (this.checked === '1' && !this.indRecord) {
        Notify({type: 'warning', message: '请输入卷烟厂名称', duration: 1500});
        this.show = true
        return;
      }
      if (this.checked === '2' && !this.busRecord) {
        Notify({type: 'warning', message: '请输入物流公司名称', duration: 1500});
        this.show = true
        return;
      }
      if (!this.checked){
        Notify({type: 'warning', message: '请选择换货模式', duration: 1500});
        this.show = true
        return;
      }
      if (this.checked == '1'){
        this.manualAssociationList.recordName = this.indRecord
        this.manualAssociationList.recordType = 0
      }else if (this.checked == '2'){
        this.manualAssociationList.recordName = this.busRecord
        this.manualAssociationList.recordType = 1
      }else if (this.checked == '3'){
        this.manualAssociationList.recordName = this.byIndRecord
        this.manualAssociationList.recordType = 2
      }
      this.$nativeQRCode.setCallBackFun((res) => {
        // 通过二维码获取卷烟信息信息
        let qrCode = getStringByTwo(res)
        this.getQrBrandByCode(qrCode);
      });
      this.$nativeQRCode.setStatusBarColor("#006953", "white");
      ScanOverlay.show('请扫描二维码')
      //   this.getQrBrandByCode("HTTPS://Y2WM.CN/99.1000.1/AC202122500250V8DILBP9WX2TQF2OYCH")
      // setTimeout(() => {
      // this.getQrBrandByCode("HTTPS://Y2WM.CN/99.1000.1/AC20212250025YPGEHSINIXRXT5OZOIPY");
      // }, 1000)
      // setTimeout(() => {
      //   this.getQrBrandByCode("HTTPS://Y2WM.CN/99.1000.1/AC202122500257AZGKWKCV6GC8N5JEQU1")
      // }, 2000)
      // setTimeout(() => {
      //   this.getQrBrandByCode("HTTPS://Y2WM.CN/99.1000.1/AC20212250025H7OYZAQOZDFLSLRO3JOU")
      // }, 3000)
    },
    // 取消按钮
    cancelbtn(){
      this.show = false
      this.$router.go(-1)
    },
    // 获取二维码后六位
    getcode(code){
        //截取二维码后六位
        if (code) {
          return "..." + code.slice(code.length-10,code.length)
        }
    },
    // 计算高度
    initHeight() {
      this.$nextTick(() => {
        // 屏幕宽度
        let windowW = document.documentElement.clientHeight;
        let topDivH = document.getElementById("topDiv").offsetHeight;
        let centerDivH = document.getElementById("centerDiv").offsetHeight;
        let scrapButtonH = document.getElementById("scrapButton").offsetHeight;
        this.listHeight = windowW - topDivH - centerDivH - scrapButtonH - 60;
      });
    },

    //二维码获取卷烟信息卷烟信息获取
    getQrBrandByCode(qrcode) {
      ScanOverlay.hide()
      QrCodeUtil({"qrcode": qrcode}).then(res => {
        if (res.code == 500 || res.data.qrBrand == null) {
          Notify({type: 'warning', message: '无法获取到品规'});
          return;
        }
        // 第一次没有获取到卷烟信息 , 获取卷烟信息
        if (!this.qrBrand.cgtCode) {
          // 获取当前卷烟信息相关信息
          this.qrBrand = res.data;
          // 获取盒条比值
          this.packageBoxNum.strip = this.qrBrand.pkgNum;
          // 获取条件比值
          this.packageBoxNum.piece = this.qrBrand.boxNum;
          // 执行扫描二维码操作
          this.onScanQrCode(res.data);
        } else {
          // 如果当前二维码卷烟信息编码与之前编码相同
          if (this.qrBrand.cgtCode == res.data.cgtCode) {
            this.onScanQrCode(res.data)
          } else {
            // 当前二维码与之前卷烟信息不同
            Notify({type: 'warning', message: '卷烟信息不同', duration: 1500});
          }
        }
      })
    },

    // 扫描二维码
    onScanQrCode(qrCode) {
      if (this.manualAssociationList.type == null && (qrCode.typeCode == '20' || qrCode.typeCode == '10')) {
        this.manualAssociationList.type = qrCode.typeCode
      }
      if (this.manualAssociationList.type != qrCode.typeCode) {
        Notify({type: 'warning', message: '请扫描同类行型的二维码进行换货', duration: 1500});
        // this.isClearBrand()
        return
      }
      // 获取最后一个元素
      let lastElement = this.manualAssociationList.barterCode[this.manualAssociationList.barterCode.length - 1];
      // 当扫码为件码 赋值件码，或者覆盖原有件码
      if (qrCode.typeCode == '20') {
        let qrcode = qrCode.code

        getQrcodeInsByCode({qrcode}).then(r => {
          if (r.data.bTaskId != null) {
            Notify({type: 'warning', message: '该烟码已迁移，无法再次操作', duration: 1500});
            // this.isClearBrand()
            return
          }
          if (r.data.parentCode != null && r.data.parentCode != '') {
            let pCode = r.data.parentCode
            getQrcodeInsByCode({"qrcode": pCode}).then(res => {
              if (!lastElement) {
                if (res.data.status == 30) {
                  Notify({type: 'warning', message: '该烟码关联的件烟已报废，无法再次换货', duration: 1500});
                  // this.isClearBrand()
                } else if (res.data.operUserId == 60) {

                  const existingQRCode = this.manualAssociationList.barterCode.find(item => item.oldCode === qrcode);
                  if (existingQRCode) {
                    Notify({type: 'warning', message: '旧条烟已存在，重复扫码', duration: 1500});
                  } else {
                    this.manualAssociationList.barterCode.push({'oldCode': qrcode})
                  }
                } else {
                  Notify({type: 'warning', message: '该条烟未出库，无法进行换货', duration: 1500});
                }
              } else {
                if (lastElement.newCode && lastElement.oldCode) {
                  lastElement = {}
                }
                console.log(lastElement, 5656)
                if (!lastElement.oldCode) {
                  if (res.data.status == 30) {
                    Notify({type: 'warning', message: '该烟码关联的件烟已报废，无法再次换货', duration: 1500});
                    // this.isClearBrand()
                  } else if (res.data.operUserId == 60) {
                    if (Object.keys(lastElement).length === 0) {
                      const existingQRCode = this.manualAssociationList.barterCode.find(item => item.oldCode === qrcode);
                      if (existingQRCode) {
                        Notify({type: 'warning', message: '旧条烟已存在，重复扫码', duration: 1500});
                      } else {
                        this.manualAssociationList.barterCode.push({'oldCode': qrcode})
                      }
                    } else {
                      const existingQRCode = this.manualAssociationList.barterCode.find(item => item.oldCode === qrcode);
                      if (existingQRCode) {
                        Notify({type: 'warning', message: '旧条烟已存在，重复扫码', duration: 1500});
                      } else {
                        lastElement.oldCode = qrcode;
                      }
                    }

                  } else {
                    Notify({type: 'warning', message: '该条烟未出库，无法进行换货', duration: 1500});
                  }
                } else if (res.data.status == 40) {
                  Notify({type: 'warning', message: '该条烟码已成件，无法进行换货', duration: 1500});
                  // this.isClearBrand()
                } else if (res.data.status == 30) {
                  Notify({type: 'warning', message: '该烟码关联的件烟已报废，无法再次换货', duration: 1500});
                  // this.isClearBrand()
                } else if (res.data.childrenList.length > 0) {
                  Dialog.confirm({
                    message: '该烟码已有条件关联关系，是否进行换货',
                  }).then(() => {
                    // 校验盒条关联是否完整
                    if (r.data.brandCode.startsWith("AD")) {
                      const existingQRCode = this.manualAssociationList.barterCode.find(item => item.newCode === qrcode);
                      if (existingQRCode) {
                        Notify({type: 'warning', message: '新条烟已存在，重复扫码', duration: 1500});
                      } else {
                        lastElement.newCode = qrcode;
                      }
                    } else if (res.data.childrenList.length == this.qrBrand.pkgNum) {
                      const existingQRCode = this.manualAssociationList.barterCode.find(item => item.newCode === qrcode);
                      if (existingQRCode) {
                        Notify({type: 'warning', message: '新条烟已存在，重复扫码', duration: 1500});
                      } else {
                        lastElement.newCode = qrcode;
                      }
                    } else {
                      Dialog.confirm({title: "条码关联关系不完整,无法换货",}).then(() => {
                      });
                    }
                  }).catch(() => {
                    // this.isClearBrand()
                    ScanOverlay.show('请扫描二维码')
                  })
                } else {
                  // 校验盒条关联是否完整
                  if (r.data.brandCode.startsWith("AD")) {
                    const existingQRCode = this.manualAssociationList.barterCode.find(item => item.newCode === qrcode);
                    if (existingQRCode) {
                      Notify({type: 'warning', message: '新条烟已存在，重复扫码', duration: 1500});
                    } else {
                      lastElement.newCode = qrcode;
                    }
                  } else if (r.data.childrenList.length == this.qrBrand.pkgNum) {
                    const existingQRCode = this.manualAssociationList.barterCode.find(item => item.newCode === qrcode);
                    if (existingQRCode) {
                      Notify({type: 'warning', message: '新条烟已存在，重复扫码', duration: 1500});
                    } else {
                      lastElement.newCode = qrcode;
                    }
                  } else {
                    Dialog.confirm({title: "条码关联关系不完整,无法换货",}).then(() => {
                    });
                  }
                }
              }

            })
          } else {
            if (lastElement) {
              console.log(lastElement, 6666)
             if (lastElement.newCode && lastElement.oldCode){
               // 校验盒条关联是否完整
               if (r.data.brandCode.startsWith("AD")) {
                 const existingQRCode = this.manualAssociationList.barterCode.find(item => item.newCode === qrcode);
                 if (existingQRCode) {
                   Notify({type: 'warning', message: '新条烟已存在，重复扫码', duration: 1500});
                 } else {
                   this.manualAssociationList.barterCode.push({'newCode': qrcode})
                 }
               } else if (r.data.childrenList.length == this.qrBrand.pkgNum) {
                 const existingQRCode = this.manualAssociationList.barterCode.find(item => item.newCode === qrcode);
                 if (existingQRCode) {
                   Notify({type: 'warning', message: '新条烟已存在，重复扫码', duration: 1500});
                 } else {
                   this.manualAssociationList.barterCode.push({'newCode': qrcode})
                 }
               } else {
                 Dialog.confirm({title: "条码关联关系不完整,无法换货",}).then(() => {
                 });
               }
              }else
              // 判断是否存在 newCode，如果不存在则赋值
              if (!lastElement.newCode && lastElement.oldCode) {
                // 校验盒条关联是否完整
                if (r.data.brandCode.startsWith("AD")) {
                  const existingQRCode = this.manualAssociationList.barterCode.find(item => item.newCode === qrcode);
                  if (existingQRCode) {
                    Notify({type: 'warning', message: '新条烟已存在，重复扫码', duration: 1500});
                  } else {
                    lastElement.newCode = qrcode;
                  }
                } else if (r.data.childrenList.length == this.qrBrand.pkgNum) {
                  const existingQRCode = this.manualAssociationList.barterCode.find(item => item.newCode === qrcode);
                  if (existingQRCode) {
                    Notify({type: 'warning', message: '新条烟已存在，重复扫码', duration: 1500});
                  } else {
                    lastElement.newCode = qrcode;
                  }
                } else {
                  Dialog.confirm({title: "条码关联关系不完整,无法换货",}).then(() => {
                  });
                }
              } else {
                Notify({type: 'warning', message: '该条烟未成件，无法进行换货', duration: 1500});
              }
            }
            else {
              // 校验盒条关联是否完整
              if (r.data.brandCode.startsWith("AD")) {
                const existingQRCode = this.manualAssociationList.barterCode.find(item => item.newCode === qrcode);
                if (existingQRCode) {
                  Notify({type: 'warning', message: '新条烟已存在，重复扫码', duration: 1500});
                } else {
                  this.manualAssociationList.barterCode.push({'newCode': qrcode})
                }
              } else if (r.data.childrenList.length == this.qrBrand.pkgNum) {
                const existingQRCode = this.manualAssociationList.barterCode.find(item => item.newCode === qrcode);
                if (existingQRCode) {
                  Notify({type: 'warning', message: '新条烟已存在，重复扫码', duration: 1500});
                } else {
                  this.manualAssociationList.barterCode.push({'newCode': qrcode})
                }
              } else {
                Dialog.confirm({title: "条码关联关系不完整,无法换货",}).then(() => {
                });
              }
            }

          }
        })
      } else if (qrCode.typeCode == '10') {
        let qrcode = qrCode.code
        getQrcodeInsByCode({qrcode}).then(res => {
          if (res.data.bTaskId != null) {
            Notify({type: 'warning', message: '该盒码已迁移，无法再次操作', duration: 1500});
            // this.isClearBrand()
            return
          }
          //盒存在父节点
          if (res.data.parentCode != null && res.data.parentCode != '') {
            let pCode = res.data.parentCode
            // 判断盒码是否已成件
            getQrcodeInsByCode({"qrcode": pCode}).then(r => {
              if (r.data.parentCode != null && r.data.parentCode != '') {
                getQrcodeInsByCode({"qrcode": r.data.parentCode}).then(pr => {
                  if (!lastElement) {
                    if (pr.data.status == 30) {
                      Notify({type: 'warning', message: '该盒码关联的件烟已报废，无法再次换货', duration: 1500});
                      // this.isClearBrand()
                    } else if (pr.data.operUserId == 60) {
                      const existingQRCode = this.manualAssociationList.barterCode.find(item => item.oldCode === qrcode);
                      if (existingQRCode) {
                        Notify({type: 'warning', message: '旧盒烟已存在，重复扫码', duration: 1500});
                      } else {
                        this.manualAssociationList.barterCode.push({'oldCode': qrcode})
                      }
                    } else {
                      Notify({type: 'warning', message: '该盒烟未出库，无法进行换货', duration: 1500});
                    }
                  } else {
                    if (lastElement.newCode && lastElement.oldCode) {
                      lastElement = {}
                    }
                    if (!lastElement.oldCode) {
                      if (pr.data.status == 30) {
                        Notify({type: 'warning', message: '该烟码关联的件烟已报废，无法再次换货', duration: 1500});
                        // this.isClearBrand()
                      } else if (pr.data.operUserId == 60) {
                        if (Object.keys(lastElement).length === 0) {
                          const existingQRCode = this.manualAssociationList.barterCode.find(item => item.oldCode === qrcode);
                          if (existingQRCode) {
                            Notify({type: 'warning', message: '旧盒烟已存在，重复扫码', duration: 1500});
                          } else {
                            this.manualAssociationList.barterCode.push({'oldCode': qrcode})
                          }
                        } else {
                          const existingQRCode = this.manualAssociationList.barterCode.find(item => item.oldCode === qrcode);
                          if (existingQRCode) {
                            Notify({type: 'warning', message: '旧盒烟已存在，重复扫码', duration: 1500});
                          } else {
                            lastElement.oldCode = qrcode;
                          }
                        }

                      } else {
                        Notify({type: 'warning', message: '该盒烟未出库，无法进行换货', duration: 1500});
                      }
                    } else if (pr.data.status == 40) {
                      Notify({type: 'warning', message: '该盒烟码已成件，无法进行换货', duration: 1500});
                      // this.isClearBrand()
                    } else if (pr.data.status == 30) {
                      Notify({type: 'warning', message: '该盒码关联的件烟已报废，无法再次换货', duration: 1500});
                      // this.isClearBrand()
                    } else if (pr.data.childrenList.length > 0) {
                      Dialog.confirm({
                        message: '该烟码已有盒条关联关系，是否进行换货',
                      }).then(() => {
                        const existingQRCode = this.manualAssociationList.barterCode.find(item => item.newCode === qrcode);
                        if (existingQRCode) {
                          Notify({type: 'warning', message: '新盒烟已存在，重复扫码', duration: 1500});
                        } else {
                          lastElement.newCode = qrcode;
                        }
                      }).catch(() => {
                        // this.isClearBrand()
                        ScanOverlay.show('请扫描二维码')
                      })
                    } else {
                      const existingQRCode = this.manualAssociationList.barterCode.find(item => item.newCode === qrcode);
                      if (existingQRCode) {
                        Notify({type: 'warning', message: '新盒烟已存在，重复扫码', duration: 1500});
                      } else {
                        lastElement.newCode = qrcode;
                      }
                    }
                  }

                }).catch(() => {
                  // 判断是否存在 newCode，如果不存在则赋值
                  if (!lastElement.newCode && lastElement.oldCode) {
                    const existingQRCode = this.manualAssociationList.barterCode.find(item => item.newCode === qrcode);
                    if (existingQRCode) {
                      Notify({type: 'warning', message: '新盒烟已存在，重复扫码', duration: 1500});
                    } else {
                      lastElement.newCode = qrcode;
                    }
                  } else {
                    Notify({type: 'warning', message: '该盒烟未成件，无法进行换货', duration: 1500});
                  }
                })
                // this.isClearBrand()
              } else {
                console.log('不存在父节点')
                if (!lastElement) {
                  const existingQRCode = this.manualAssociationList.barterCode.find(item => item.newCode === qrcode);
                  if (existingQRCode) {
                    Notify({type: 'warning', message: '新盒烟已存在，重复扫码', duration: 1500});
                  } else {
                    this.manualAssociationList.barterCode.push({'newCode': qrcode})
                  }
                } else {
                  if (lastElement.newCode && lastElement.oldCode) {
                    lastElement = {}
                  }
                  if (!lastElement.newCode && lastElement.oldCode) {
                    lastElement.newCode = qrcode;
                  } else {
                    const existingQRCode = this.manualAssociationList.barterCode.find(item => item.newCode === qrcode);
                    if (existingQRCode) {
                      Notify({type: 'warning', message: '新盒烟已存在，重复扫码', duration: 1500});
                    } else {
                      this.manualAssociationList.barterCode.push({'newCode': qrcode})
                    }
                  }
                }
              }
            })
          } else {
            // 判断是否存在 newCode，如果不存在则赋值
            if (!lastElement.newCode && lastElement.oldCode) {
              const existingQRCode = this.manualAssociationList.barterCode.find(item => item.newCode === qrcode);
              if (existingQRCode) {
                Notify({type: 'warning', message: '新盒烟已存在，重复扫码', duration: 1500});
              } else {
                lastElement.newCode = qrcode;
              }
            } else {
              Notify({type: 'warning', message: '该盒烟未成件，无法进行换货', duration: 1500});
            }
          }
        }).catch(() => {
          Notify({type: 'warning', message: '', duration: 1});
          if (!lastElement) {
            const existingQRCode = this.manualAssociationList.barterCode.find(item => item.newCode === qrcode);
            if (existingQRCode) {
              Notify({type: 'warning', message: '新盒烟已存在，重复扫码', duration: 1500});
            } else {
              this.manualAssociationList.barterCode.push({'newCode': qrcode})
            }
          } else {
            if (lastElement.newCode && lastElement.oldCode) {
              lastElement = {}
            }
            if (!lastElement.newCode && lastElement.oldCode) {
              const existingQRCode = this.manualAssociationList.barterCode.find(item => item.newCode === qrcode);
              if (existingQRCode) {
                Notify({type: 'warning', message: '新盒烟已存在，重复扫码', duration: 1500});
              } else {
                lastElement.newCode = qrcode;
              }

            } else {
              const existingQRCode = this.manualAssociationList.barterCode.find(item => item.newCode === qrcode);
              if (existingQRCode) {
                Notify({type: 'warning', message: '新盒烟已存在，重复扫码', duration: 1500});
              } else {
                this.manualAssociationList.barterCode.push({'newCode': qrcode})
              }
            }
          }
        })
      } else if (qrCode.typeCode == '30') {
        // 件吗或者其他
        Notify({type: 'warning', message: '此为件码', duration: 1500});
      } else {
        Notify({type: 'warning', message: '请扫描正确烟码', duration: 1500});
      }

    },
    //判断是否超过数量
    isMoreNum() {
      if (this.manualAssociationList.code.length < this.packageBoxNum.strip) return true;
      return false;
    },

    //判断是否要清空品规信息内容
    isClearBrand() {
      if (this.manualAssociationList.code.length === 0 && this.manualAssociationList.parentCode === '') {
        this.resetAll()
      }
    },

    // 完成关联 发送
    relevanceSendButton() {
      if (this.manualAssociationList.type == '10') {
        this.manualAssociationList.type = 1
      } else if (this.manualAssociationList.type == '20') {
        this.manualAssociationList.type = 1
      }

      this.forbidden = 1
      ScanOverlay.show('换货中')
      barterQrCodeIns(this.manualAssociationList).then(res => {
        if (res.code == 200) {
          this.forbidden = 0
          this.resetAll();
          Notify({type: 'success', message: '换货成功'});
          ScanOverlay.show('请扫描二维码')
        }
      }).catch(() => {
        ScanOverlay.hide()
        this.forbidden = 0
      })
    },
    // 重置所有数据
    resetAll() {
      this.manualAssociationList = {
        parentCode: '',
        code: [],
        type: null
      }
      this.showArr = []
      this.errorList = []
      this.packageBoxNum = {
        strip: null, // 条
        piece: null, // 件
      }
      this.qrBrand = {
        code: null,//二维码数据
        typeCode: null,
        typeName: null,
        cgtName: null,
        cgtCode: null,
        pkgNum: null,// 盒条关联数之比
        boxNum: null,// 条件关联数之比
        qrBrand: null
      }
    }
  },
}
</script>

<style lang="scss" scoped>
:deep(.van-cell-group) {
  width: 660px;
  margin: auto;
  margin-top: 20px;
  background: none;
}

:deep(.van-cell-group .van-cell) {
  height: 147px;
  border-radius: 15px;
  font-size: 26px;
  font-family: 'SourceHanSansCN-Medium',sans-serif;
  font-weight: 500;
  color: #000000;
  line-height: 147px;
  align-items: center;
  margin-bottom: 20px;
}

:deep(.van-cell-group .van-cell .van-cell__title) {
  flex: .3;
}

:deep(.van-cell-group .van-cell .van-cell__value) {
  display: block;
  line-height: 20px;
  text-align: left;
  font-family: 'SourceHanSansCN-Regular',sans-serif;
  font-weight: 400;
  color: #434343;
}


.list {
  width: 660px !important;
  margin: auto;
  border-radius: 15px;
}

:deep(.li) {
  height: 127px !important;
  font-size: 26px;
  font-family: 'SourceHanSansCN-Regular',sans-serif;
  font-weight: 400;
  color: #434343;
  line-height: 40px;
  padding-top: 20px;
  box-sizing: border-box;
}

:deep(.van-cell:after) {
  border-bottom: 2px solid rgba(231, 231, 231, 1)
}

#scrapButton {
  height: 100px;
  width: 100%;
  position: fixed;
  bottom: 0px;
  padding-top: 20px;

  background: #FFFFFF;
}

.btn_disabled {
  width: 100%;
  height: 80px;
  background: #AFD4CC;
  border-radius: 20px;
  color: rgba(230, 230, 230, 1);
}

.btn_enable {
  width: 100%;
  height: 80px;
  background: rgba(33, 143, 120, 0.9);
  border-radius: 20px;
  color: rgba(230, 230, 230, 1);
}

:deep(.van-nav-bar__right) {
  font-size: 32px;
  font-family: Source Han Sans CN,sans-serif;
  font-weight: 400;
  color: #FFFFFF;
}
:deep(.van-field){
  font-size: .35rem;
}
:deep(.van-radio){
  height: 1rem;
  padding: 0 .2rem;
}
:deep(.van-radio__icon){
  height: .45rem;
}
:deep(.van-radio__icon--round .van-icon){
  font-size: .3rem;
}
.centerDiv{
  height: 80%;
  box-sizing: border-box;
  margin: .35rem .25rem;
  background: #ffffff;
  padding: .15rem .2rem;
 
}
p{
  margin: 0;
}
.codetitle{
  background: #efefef;
  text-align: center;
  height: 1rem;
  line-height: 1rem;
  font-size: .35rem;
  font-weight: bold;
  border-radius: .1rem;
  color: #303030;
  // margin-bottom: .2rem;
}

.codeitem{
  border-bottom:1px solid #e7e7e7;
  padding: .2rem 0 .35rem 0;
  text-align: center;
  display: flex;
  justify-content: space-between;
  p{
    color: #313131;
    background: #efefef;
    width: 49%;
    height: 1.6rem;
    line-height: .83rem;
    span{
      display: block;
      font-size: .35rem;
      font-weight: bold;
    }
  }
  .newcode,.oldcode{
    border-bottom:1px solid #c5c5c5;

  }
  .oldcodecon,.newcodecon{
    color: #575757;
  }

}
</style>
